Bug 991014 - [rfe] [plugins] yum-plugin-local
[rfe] [plugins] yum-plugin-local
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
: FutureFeature
: 1147822 (view as bug list)
Depends On: 1185977
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 08:01 EDT by Frank Murphy
Modified: 2015-02-24 01:03 EST (History)
9 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-0.0.4-1.fc21
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-23 18:27:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2013-08-01 08:01:44 EDT
Description of problem: Cannot seem to use yum-plugin-local,
ignores dnf update --enableplugin=local on the command line.

if plugins=1 is in dnf.conf,
doesn't seem to use _local.repo

# dnf makecache
Problem with repo '_local': Usable URL not found, disabling.
Metadata Cache Created

dnf update --enableplugin=local
Problem with repo '_local': Usable URL not found, disabling.
Setting up Upgrade Process

Doesn't take adavan

Version-Release number of selected component (if applicable):


How reproducible: over two dozen times locally.


Steps to Reproduce:
1. dnf install yum-plugin-local
2. change local.conf from  default # repodir = /var/lib/yum/plugins/local
to eg. repodir = /usr/local/cache/dnf/i386/19/_local/packages

3: createrepo -v /usr/local/cache/dnf/i386/19/_local/packages

Actual results:
 dnf update --enableplugin=local
Problem with repo '_local': Usable URL not found, disabling.
Setting up Upgrade Process


Expected results: use local.conf to either copy rpms  to or create _local.repo


Additional info:
Comment 1 Ales Kozumplik 2013-08-01 08:13:21 EDT
hello,

there's no support for plugins in DNF yet, it's only planned. I'm leaving this open: the plugins with most requests for porting will get ported first when the time comes.
Comment 2 Sudhir Khanger 2014-09-26 06:31:02 EDT
Now that dnf have some plugin support is there any update on this bug.
Comment 3 Sudhir Khanger 2014-09-29 12:18:51 EDT
DNF doesn't work with repo created by yum-plugin-local (createrepo).

Failed to synchronize cache for repo '_local' from '[u'file:/home/$USER/Documents/Software/local']': Cannot prepare internal mirrorlist: realpath(file:/home/$USER/Documents/Software/local) error: No such file or directory, disabling.
Comment 4 Honza Silhan 2014-10-03 12:54:42 EDT
*** Bug 1147822 has been marked as a duplicate of this bug. ***
Comment 5 Honza Silhan 2014-11-24 07:36:16 EST

*** This bug has been marked as a duplicate of bug 1048541 ***
Comment 6 Fedora End Of Life 2015-01-09 14:13:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Marcin Juszkiewicz 2015-01-21 09:46:45 EST
Good that I did not saw that bug before I switched mock to dnf locally.

This is how I use local repo (created with createrepo) with dnf:

[hrw-test]
name=Hrw
failovermethod=priority
baseurl=file:///home/hrw/rpmbuild/mock/repo/
enabled=0
gpgcheck=0
priority=10
Comment 9 Pete Travis 2015-01-22 00:26:42 EST
a dnf-plugin-local can be helpful when running rawhide, ie when using a rawhide system to test dnf as the default package manager.  I'd really like to see this plugin developed.
Comment 10 Igor Gnatenko 2015-01-22 02:18:54 EST
This plugin pretty easy. I think I can make it before devconf.
Comment 11 Igor Gnatenko 2015-01-26 13:15:30 EST
FTR: part of plugin which determines path to rpm packages in cache

transaction(self):
    files = []
    for pkg in self.base.transaction.install_set:
        files.append(os.path.join(pkg.repo.pkgdir, pkg.location))
Comment 12 Igor Gnatenko 2015-01-26 14:41:16 EST
While bug 1185977 will not fixed I will use workaround which will set self.conf.keepcache to do not removing packages after transaction()
Comment 13 Igor Gnatenko 2015-01-28 12:03:39 EST
fixed in HEAD.

https://github.com/rpm-software-management/dnf-plugins-extras/commit/bc3c7f18991609a1c153c1745079e77317dd8fe5

there some dropped options vs yum-plugin-local. if you are using one of them - feel free to open new bug against dnf-plugins-extras.

P.S. you don't need to create new repo file, plugin will enable local repository automatically
Comment 14 Hedayat Vatankhah 2015-01-28 15:21:28 EST
Great, thanks. However, I'd suggest using createrepo_c rather than createrepo (or make it configurable); seems to be much faster.
Comment 15 Igor Gnatenko 2015-01-28 15:35:42 EST
(In reply to Hedayat Vatankhah from comment #14)
> Great, thanks. However, I'd suggest using createrepo_c rather than
> createrepo (or make it configurable); seems to be much faster.
done. https://github.com/rpm-software-management/dnf-plugins-extras/commit/a3a3f8e6d94c087436d30669a936b3566e1bf91b
Comment 16 Hedayat Vatankhah 2015-01-28 15:46:20 EST
Thanks again. :)
Comment 17 Fedora Update System 2015-01-29 08:12:03 EST
dnf-plugins-extras-0.0.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.3-1.fc21
Comment 18 Fedora Update System 2015-01-29 23:43:10 EST
Package dnf-plugins-extras-0.0.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1402/dnf-plugins-extras-0.0.3-1.fc21
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2015-02-13 06:00:56 EST
dnf-plugins-extras-0.0.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.4-1.fc21
Comment 20 Fedora Update System 2015-02-23 18:27:36 EST
dnf-plugins-extras-0.0.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.